This Docker image drastically simplifies building MicroPython binaries for ESP32 microcontrollers with
[frozen modules](https://docs.micropython.org/en/latest/reference/manifest.html#freezing-source-code)
-- that is flashable MicroPython images that include your payload as bytecode so they're easy to deploy.

Place your source code under `modules/` and the Docker image should pick them
up and bundle them into the resulting firmware image placed under `build/`

```
docker run --rm -v $PWD/modules:/src/ports/esp32/modules -v $PWD/build:/build harbor.k-space.ee/k-space/micropython-esp32
esptool.py -p /dev/ttyUSB0 --chip esp32 -b 460800 write_flash -z 0x1000 build/firmware.bin
```

Currently stuck with MicroPytyhon 1.17 until [this](https://github.com/micropython/micropython/issues/8410) fix is included with 1.19+.
